Perl5Pattern (Jakarta-ORO 2.0.8 API)
Keywords: org.apache.oro.text.regex.Perl5Pattern class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.oro.text.regex
Class Perl5Pattern

    java.lang.Object
      org.apache.oro.text.regex.Perl5Pattern

All Implemented Interfaces:
  java.lang.Cloneable, Pattern, java.io.Serializable

public final class Perl5Pattern
extends java.lang.Object
implements Pattern, java.io.Serializable, java.lang.Cloneable

An implementation of the Pattern interface for Perl5 regular expressions. This class is compatible with the Perl5Compiler and Perl5Matcher classes. When a Perl5Compiler instance compiles a regular expression pattern, it produces a Perl5Pattern instance containing internal data structures used by Perl5Matcher to perform pattern matches. This class cannot be subclassed and cannot be directly instantiated by the programmer as it would not make sense. Perl5Pattern instances should only be created through calls to a Perl5Compiler instance's compile() methods. The class implements the Serializable interface so that instances may be pre-compiled and saved to disk if desired.

Since:
  1.0
Version:
  2.0.8
See Also:
  `Perl5Compiler`, `Perl5Matcher`, Serialized Form

Method Summary
`int` | `getOptions()` This method returns an integer containing the compilation options used to compile this pattern.
`java.lang.String` | `getPattern()` This method returns the string representation of the pattern.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getPattern

    public java.lang.String getPattern()

  This method returns the string representation of the pattern.

  Specified by:
    `getPattern` in interface `Pattern`
  Returns:
    The original string representation of the regular expression pattern.

### getOptions

    public int getOptions()

  This method returns an integer containing the compilation options used to compile this pattern.

  Specified by:
    `getOptions` in interface `Pattern`
  Returns:
    The compilation options used to compile the pattern.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2000-2003 Apache Software Foundation. All Rights Reserved.